ranges::next_fn Struct Reference
Iterator

## Public Member Functions

template<typename I >
constexpr auto | operator() (I it) const -> I requires input_or_output_iterator< I >
template<typename I >
constexpr auto | operator() (I it, iter_difference_t< I > n) const -> I requires input_or_output_iterator< I >
template<typename I , typename S >
constexpr auto | operator() (I it, S s) const -> I requires sentinel_for< S, I >
template<typename I , typename S >
constexpr auto | operator() (I it, iter_difference_t< I > n, S bound) const -> I requires sentinel_for< S, I >